Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class TransactionQuantities3Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.TransactionQuantities3Choice

    public class TransactionQuantities3Choice
    extends java.lang.Object

Java class for TransactionQuantities3Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionQuantities3Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Qty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}FinancialInstrumentQuantity1Choice"/>
             <element name="OrgnlAndCurFaceAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}OriginalAndCurrentQuantities1"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ProprietaryQuantity1"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected OriginalAndCurrentQuantities1` `orgnlAndCurFaceAmt`
`protected ProprietaryQuantity1` `prtry`
`protected FinancialInstrumentQuantity1Choice` `qty`

### Constructor Summary

Constructors
`TransactionQuantities3Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OriginalAndCurrentQuantities1` `getOrgnlAndCurFaceAmt()` Gets the value of the orgnlAndCurFaceAmt property.
`ProprietaryQuantity1` `getPrtry()` Gets the value of the prtry property.
`FinancialInstrumentQuantity1Choice` `getQty()` Gets the value of the qty property.
`void` `setOrgnlAndCurFaceAmt​(OriginalAndCurrentQuantities1 value)` Sets the value of the orgnlAndCurFaceAmt property.
`void` `setPrtry​(ProprietaryQuantity1 value)` Sets the value of the prtry property.
`void` `setQty​(FinancialInstrumentQuantity1Choice value)` Sets the value of the qty property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### qty

    protected FinancialInstrumentQuantity1Choice qty

#### orgnlAndCurFaceAmt

    protected OriginalAndCurrentQuantities1 orgnlAndCurFaceAmt

#### prtry

    protected ProprietaryQuantity1 prtry

### Constructor Detail

#### TransactionQuantities3Choice

    public TransactionQuantities3Choice()

### Method Detail

#### getQty

    public FinancialInstrumentQuantity1Choice getQty()

Gets the value of the qty property.

Returns:
  possible object is `FinancialInstrumentQuantity1Choice`

#### setQty

    public void setQty​(FinancialInstrumentQuantity1Choice value)

Sets the value of the qty property.

Parameters:
  `value` - allowed object is `FinancialInstrumentQuantity1Choice`

#### getOrgnlAndCurFaceAmt

    public OriginalAndCurrentQuantities1 getOrgnlAndCurFaceAmt()

Gets the value of the orgnlAndCurFaceAmt property.

Returns:
  possible object is `OriginalAndCurrentQuantities1`

#### setOrgnlAndCurFaceAmt

    public void setOrgnlAndCurFaceAmt​(OriginalAndCurrentQuantities1 value)

Sets the value of the orgnlAndCurFaceAmt property.

Parameters:
  `value` - allowed object is `OriginalAndCurrentQuantities1`

#### getPrtry

    public ProprietaryQuantity1 getPrtry()

Gets the value of the prtry property.

Returns:
  possible object is `ProprietaryQuantity1`

#### setPrtry

    public void setPrtry​(ProprietaryQuantity1 value)

Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `ProprietaryQuantity1`